import { IRenderable, IRenderer, ISpecification } from "../../api";
/**
 * Represents either a checkbox (multiple choice) or a radio button (single choice) element.
 *
 * @see {@link RadioChoice}
 * @see {@link CheckboxChoice}
 * @see {@link IRenderable}
 *
 * @since 0.23.0
 */
export declare abstract class Choice implements IRenderable {
    private readonly spec;
    constructor(spec: ISpecification);
    render(renderer: IRenderer, isNested: boolean): HTMLElement;
    abstract inputType(): "radio" | "checkbox";
}
